import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const nationalInfoGetDashboardService = createAsyncThunk(
  "NATIONAL_INFO_DASHBOARD",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      "https://rsibackend.rasadyar.com/app/hatchings-dashboard",
      {
        params: {
          date1: d.date1,
          date2: d.date2,
          search: d.search,
          province: d.province,
          system_code: d.system_code,
        },
      }
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
